org.omg.PortableInterceptor

## Interface IORInterceptor_3_0Operations

- All Superinterfaces:
    InterceptorOperations, IORInterceptorOperations
  All Known Subinterfaces:
    IORInterceptor_3_0

      public interface IORInterceptor_3_0Operations
      extends IORInterceptorOperations

  org/omg/PortableInterceptor/IORInterceptor_3_0Operations.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /scratch/jenkins/workspace/8-2-build-linux-x64-OL8-sans-NAS/jdk8u501/2871/corba/src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Wednesday, June 3, 2026 10:12:31 AM GMT

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `adapter_manager_state_changed(int id, short state)` | Called whenever the state of an adapter manager changes.
    `void` | `adapter_state_changed(ObjectReferenceTemplate[] templates, short state)` | Called whenever the state of an object adapter changes, and the state change is not caused by an adapter manager.
    `void` | `components_established(IORInfo info)` | The components_established method is invoked on all registered IORInterceptor_3_0 instances after establish_components has been invoked on all registered IORInterceptor instances.

    - ### Methods inherited from interface org.omg.PortableInterceptor.IORInterceptorOperations

      `establish_components`

    - ### Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations

      `destroy, name`

- - ### Method Detail

    - #### components_established

          void components_established(IORInfo info)

      The components_established method is invoked on all registered IORInterceptor_3_0 instances after establish_components has been invoked on all registered IORInterceptor instances. The adapter_template is available in info during this call. The current_factory may be get or set in info during this call.

      Any exception thrown from this method is handled by the Object Adapter that called this interceptor. In the case of the POA, an exception results in a OBJ_ADAPTER exception with an OMG standard minor code of 6.

      Parameters:
        `info` - The IORInfo for the object adapter being created.

    - #### adapter_manager_state_changed

          void adapter_manager_state_changed(int id,
                                             short state)

      Called whenever the state of an adapter manager changes. For the POA, that is the POAManager. If the state change is reported through `adapter_manager_state_changed`, it is not reported through `adapter_state_changed`.
      Parameters:
        `id` - the adapter manager id of the adapter manager that changed state
        `state` - the new state of the adapter manager

    - #### adapter_state_changed

          void adapter_state_changed(ObjectReferenceTemplate[] templates,
                                     short state)

      Called whenever the state of an object adapter changes, and the state change is not caused by an adapter manager. Such changes are reported to all registered `IORInterceptor_3_0` instances.
      Parameters:
        `templates` - the sequence of `ObjectReferenceTemplate` instances on which this state change occurred.
        `state` - the new `AdapterState` shared by all of the templates.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.